summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTupone Alfredo <tupone@gentoo.org>2018-07-12 08:30:21 +0200
committerTupone Alfredo <tupone@gentoo.org>2018-07-12 08:30:21 +0200
commit47e8401af57667a1b7e1277a4604af0e0facafe6 (patch)
tree3eaf7fa9a579b42c4eff2dee2a40d20d3faaa7bc /dev-ada
parentsci-libs/tensorflow: bump to 1.9.0 (diff)
downloadgentoo-47e8401af57667a1b7e1277a4604af0e0facafe6.tar.gz
gentoo-47e8401af57667a1b7e1277a4604af0e0facafe6.tar.bz2
gentoo-47e8401af57667a1b7e1277a4604af0e0facafe6.zip
dev-ada/gps: Version bump to 2018
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'dev-ada')
-rw-r--r--dev-ada/gps/Manifest2
-rw-r--r--dev-ada/gps/files/gps-2018-gentoo.patch87
-rw-r--r--dev-ada/gps/gps-2018.ebuild78
3 files changed, 167 insertions, 0 deletions
diff --git a/dev-ada/gps/Manifest b/dev-ada/gps/Manifest
index 1730df8afcb..9a4e8fd5f19 100644
--- a/dev-ada/gps/Manifest
+++ b/dev-ada/gps/Manifest
@@ -1,2 +1,4 @@
DIST gnat-gpl-2017-x86_64-linux-bin.tar.gz 496338280 BLAKE2B b3eee6d311fb9c20bc8fa7217c0731ca1e91ced38700df1d63d91a16c3fa28dfd44c7c8e867c3a857b88e4f0c8b2a7200fb6a8a630b8403538c4784f8914d1a5 SHA512 01a8f3be9b7b7e83cc5bd4a45137b1d35c6448bc22a88bcaf5d312cd63e11081b6b2fe9f09ad2a27d8f0b6471fc5c1a99573bf3bcee1589329054074eaeef04f
DIST gps-gpl-2017-src.tar.gz 41216830 BLAKE2B 51ca89c38fa81888a9cf1831cf97f7e0ad72c444328a29063249a4fe72bbdc8357552d470872e9fbbeaf349ef0427b59fa41a0efb56200a07a9426343c731a57 SHA512 101ecef7f183de1da0c2b09d77f284a5e8c5ae56f34a897c8d471e79fe9a2832742608ff5251197ba2a52b5d9dfee6c6937fc22cd55f6d8f38359b070393cb64
+DIST gps-gpl-2018-src.tar.gz 40541905 BLAKE2B abe38dd23d9afede27b4ec8294e3245c12d52d60491b6e7c1b2d120a6f1e5d808fdcfb648e72da31376e2de176f7a039c5493341ad295db33b6a1ce44bb64096 SHA512 da0eaa85eb753f215354c9765272d85378f36ebe207314bab9211642f9d9b505a3d05cdec9de6964ae9139c4f8942a29e06c72db32b2aeb053a694e9c982e470
+DIST libadalang-tools-gpl-2018-src.tar.gz 19938182 BLAKE2B 34104f3bc43c165a9b74ba8c0c03ee2f34686bcd06b5ced730f70f654d8b808e129a85566e081830b4f20304c793eefe0af81b56984cf06190302ad2f6a419be SHA512 a1176575944cd88b9da5f4e9f03caa1a4d09358df71e6a91300d0b35c2a843d0ea1a77fbd93e7b7f16cef1b978022ee20991f5c2ff74f7d05878c3de1220f2b5
diff --git a/dev-ada/gps/files/gps-2018-gentoo.patch b/dev-ada/gps/files/gps-2018-gentoo.patch
new file mode 100644
index 00000000000..d03a0111122
--- /dev/null
+++ b/dev-ada/gps/files/gps-2018-gentoo.patch
@@ -0,0 +1,87 @@
+--- a/gps/Makefile 2018-07-09 20:27:34.950424490 +0200
++++ b/gps/Makefile 2018-07-09 20:37:39.510558817 +0200
+@@ -47,7 +47,7 @@
+ for f in ../kernel/generated/*; do cat $$f | tr -d '\015' > $$f-aux; mv -f $$f-aux $$f; done
+ endif
+ $(GPRBUILD) $(GPRBUILD_FLAGS) -m -p -ws \
+- $(GPRBUILD_BUILD_TYPE_FLAGS) -Pgps -largs `pkg-config gmodule-2.0 --libs`
++ $(GPRBUILD_BUILD_TYPE_FLAGS) -Pgps -largs `pkg-config gmodule-2.0 --libs` -lpython2.7
+
+ resources:
+ ifeq ($(OS),Windows_NT)
+--- a/testsuite/Makefile 2018-07-09 21:45:48.115937491 +0200
++++ b/testsuite/Makefile 2018-07-09 21:46:15.896547268 +0200
+@@ -13,7 +13,7 @@
+ endif
+
+ all default: package
+- $(GPRBUILD) -P testsuite_drivers.gpr -m -XOS=${OS} -j0 -XLIBRARY_TYPE=relocatable -XXMLADA_BUILD=relocatable
++ $(GPRBUILD) -P testsuite_drivers.gpr -m -XOS=${OS} -j0 -XLIBRARY_TYPE=relocatable -XXMLADA_BUILD=relocatable -largs -lpython2.7
+
+ package:
+ mkdir -p share/doc
+--- a/Makefile.in 2018-07-09 21:51:08.422550386 +0200
++++ b/Makefile.in 2018-07-09 21:51:32.187225891 +0200
+@@ -10,7 +10,7 @@
+ INSTALL_PROGRAM = @INSTALL_PROGRAM@
+ INSTALL_DATA = @INSTALL_DATA@
+ GNATCOLL_INSTALL = @GNATCOLL_INSTALL@
+-prefix = @prefix@
++prefix = $(DESTDIR)@prefix@
+ bindir = $(prefix)/bin
+ sharedir = $(prefix)/share
+ examplesdir = $(prefix)/share/examples/gps
+--- a/docs/Makefile.in 2018-07-09 21:53:33.074572729 +0200
++++ b/docs/Makefile.in 2018-07-09 21:53:52.149311484 +0200
+@@ -1,4 +1,4 @@
+-prefix = @prefix@
++prefix = $(DESTDIR)@prefix@
+ docdir = $(prefix)/share/doc/gps
+ sharedir = $(prefix)/share/gps
+
+--- a/share/support/core/toolchains.py 2018-07-11 12:15:18.758674244 +0200
++++ b/share/support/core/toolchains.py 2018-07-11 12:20:20.389220849 +0200
+@@ -16,11 +16,11 @@
+ nullified by using an empty value in the corresponding tag
+ -->
+ <toolchain_default>
+- <gnat_driver>gnat</gnat_driver>
+- <gnat_list>gnatls</gnat_list>
++ <gnat_driver>@GNAT@</gnat_driver>
++ <gnat_list>@GNATLS@</gnat_list>
+ <debugger>gdb</debugger>
+ <cpp_filt>c++filt</cpp_filt>
+- <compiler lang="ada">gnatmake</compiler>
++ <compiler lang="ada">@GNATMAKE@</compiler>
+ <compiler lang="c">gcc</compiler>
+ <compiler lang="c++">g++</compiler>
+ <compiler lang="asm">gcc</compiler>
+--- a/share/support/core/projects.py 2018-07-11 13:49:29.631289680 +0200
++++ b/share/support/core/projects.py 2018-07-11 13:51:46.568252607 +0200
+@@ -146,7 +146,7 @@
+ <string />
+ </index>
+ <specialized_index value="Ada">
+- <choice default="true" >gnatmake</choice>
++ <choice default="true" >@GNATMAKE@</choice>
+ </specialized_index>
+ </project_attribute>
+
+@@ -166,7 +166,7 @@
+ description="The gnatls command used to find where the Ada run time files are installed (including optional arguments, e.g. gnatls --RTS=sjlj)."
+ hide_in="all"
+ label="Gnatls">
+- <choice default="true" >gnatls</choice>
++ <choice default="true" >@GNATLS@</choice>
+ <string />
+ </project_attribute>
+
+@@ -178,7 +178,7 @@
+ description="The gnat driver used to run the various commands associated with the GNAT toolchain."
+ hide_in="all"
+ label="Gnat">
+- <choice default="true" >gnat</choice>
++ <choice default="true" >@GNAT@</choice>
+ <string />
+ </project_attribute>
+
diff --git a/dev-ada/gps/gps-2018.ebuild b/dev-ada/gps/gps-2018.ebuild
new file mode 100644
index 00000000000..e67c569534f
--- /dev/null
+++ b/dev-ada/gps/gps-2018.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+inherit python-single-r1 autotools desktop
+
+MYP=${PN}-gpl-${PV}-src
+
+DESCRIPTION="The GNAT Programming Studio"
+HOMEPAGE="http://libre.adacore.com/tools/gps/"
+SRC_URI="http://mirrors.cdn.adacore.com/art/5b0cf627c7a4475261f97ceb
+ -> ${MYP}.tar.gz
+ http://mirrors.cdn.adacore.com/art/5b0819dfc7a447df26c27a59 ->
+ libadalang-tools-gpl-2018-src.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="${PYTHON_DEPS}
+ || (
+ >=dev-ada/gnatcoll-2017[gtk,iconv,pygobject,sqlite,static-libs,tools]
+ (
+ dev-ada/gnatcoll-db[gnatcoll_db2ada,gnatinspect,xref]
+ dev-ada/gnatcoll-bindings[python]
+ )
+ )
+ >=dev-ada/gtkada-2017
+ dev-ada/libadalang
+ dev-libs/gobject-introspection
+ dev-libs/libffi
+ sys-devel/clang:=
+ x11-themes/adwaita-icon-theme
+ x11-themes/hicolor-icon-theme
+ dev-python/pep8[${PYTHON_USEDEP}]
+ dev-python/jedi[${PYTHON_USEDEP}]"
+
+DEPEND="${RDEPEND}"
+
+RESTRICT="test"
+
+S="${WORKDIR}"/${MYP}
+
+PATCHES=( "${FILESDIR}"/${P}-gentoo.patch )
+
+src_prepare() {
+ GCC_PV=7.3.1
+ default
+ sed -i \
+ -e "s:@GNATMAKE@:${CHOST}-gnatmake-${GCC_PV}:g" \
+ -e "s:@GNAT@:${CHOST}-gnat-${GCC_PV}:g" \
+ -e "s:@GNATLS@:${CHOST}-gnatls-${GCC_PV}:g" \
+ share/support/core/toolchains.py \
+ share/support/core/projects.py \
+ || die
+ mv "${WORKDIR}"/libadalang-tools-src laltools
+}
+
+src_configure() {
+ econf \
+ GNATMAKE=/usr/bin/gnatmake-7.3.1 \
+ GNATDRV=/usr/bin/gnat-7.3.1 \
+ --with-clang=$(llvm-config --libdir)
+}
+
+src_compile() {
+ emake -C gps GPRBUILD_FLAGS="-v ${MAKEOPTS}" \
+ Build=Production
+ gprbuild -v -p -Pcli/cli.gpr -XLIBRARY_TYPE=relocatable
+ emake -C testsuite
+}
+
+src_install() {
+ default
+ make_desktop_entry "${PN}" "GPS" "${EPREFIX}/usr/share/gps/icons/hicolor/32x32/apps/gps_32.png" "Development;IDE;"
+}